Skip to main content
Developer

Error Handling in Timestamping APIs#

View as Markdown
On this page

PAdES-LTA - /v1/timestamp/pades/lta#

This API uses standard HTTP response codes to communicate the result of a request.

Unfortunately it is currently not possible to provide more information in case of errors because of backwards-compatibility of the API.

Error Responses / HTTP Status Codes#

For a detailed breakdown of possible responses on a per-request-basis see the API documentation.

How to Fix Errors? What to Do?#

How to react to errors depends mostly on the category of the HTTP status code.

HTTP 401 & 403

Use the correct token and authentication data and try again. If the problem persists, contact BankID support.

HTTP 400 - returning error message

This is a request validation error because of missing or invalid parameter values. Fix the request according to the error message and try again. If the problem persists, contact BankID support.

HTTP 400 - returning JSON object

This is a PDF validation error. Either the PDF document(s) themselves or in combination with the request parameters given cannot be used for signing.

See the response field conversionErrors for details. Note that this is done on a per-document-level.

Modify the PDF(s) and/or request parameters to make them fit fo signing. If the problem seems "wrong" or unsolvable contact BankID support.

HTTP 5xx

Technical problems, contact BankID support.

Timestamp Token API - /v1/timestamp/token#

This API uses standard HTTP response codes to communicate the result of a request.

It also adds additional information to responses in case of errors.

Error Response Format#

All errors follow a standardized JSON response format:

{
    "message": "Human-readable error description",
    "code": "SIG-TG###",
    "requestId": "unique-request-identifier",
    "errorReference": "unique-error-reference-for-support"
}

code: Error code classifying the problem (see table below).

errorReference: Unique reference to a particular error occurrence - please state this when contacting BankID support

Error Codes#

Error CodeDescriptionHTTP StatusCategory
SIG-TG001General request validation failure400Request Validation
SIG-TG002Invalid or missing request parameters400Request Validation
SIG-TG003Hash value length does not match algorithm400Request Validation
SIG-TG004Invalid base64 encoding in request400Request Validation
SIG-TG005Request body exceeds maximum allowed size400Request Validation
SIG-TG006Hash algorithm not supported400Request Validation
SIG-TG101Authentication required or failed401Authentication
SIG-TG102Access token missing required scope403Authorization
SIG-TG103Access token has expired401Authentication
SIG-TG201Timestamp service temporarily unavailable503Network/Connectivity
SIG-TG202Network timeout communicating with timestamp service503Network/Connectivity
SIG-TG203Failed to connect to timestamp service503Network/Connectivity
SIG-TG301Timestamp authority service error500TSA Service
SIG-TG302SSL certificate validation failed500TSA Service
SIG-TG303RFC 3161 protocol error500TSA Service
SIG-TG401Internal system error500Internal System
SIG-TG402Service configuration error500Internal System
SIG-TG403Data encoding/decoding error500Internal System

How to Fix Errors? What to Do?#

How to react to errors depends mostly on the category of the error.

Category 'Request Validation'

Correct your request according to the error code and try again. If the problem persists, contact BankID support.

Category 'Authentication'

Use the correct token and authentication data and try again. If the problem persists, contact BankID support.

Category 'Network/Connectivity'

Technical problems, contact BankID support.

Category 'TSA Service'

Technical problems, contact BankID support.

Category 'Internal System'

Technical problems, contact BankID support.

Was this page helpful?